#include <gui/cpw/colors_globals.hpp>

ColorProperties	g_htmlColors[]	=
{
	{ "Indian Red", QColor(205, 92, 92) },
	{ "Light Coral", QColor(240, 128, 128) },
	{ "Salmon", QColor(250, 128, 114) },
	{ "Dark Salmon", QColor(233, 150, 122) },
	{ "Light Salmon", QColor(255, 160, 122) },
	{ "Crimson", QColor(220, 20, 60) },
	{ "Red", QColor(255, 0, 0) },
	{ "Fire Brick", QColor(178, 34, 34) },
	{ "Dark Red", QColor(139, 0, 0) },
	{ "Light Salmon", QColor(255, 160, 122) },
	{ "Coral", QColor(255, 127, 80) },
	{ "Tomato", QColor(255, 99, 71) },
	{ "Orange Red", QColor(255, 69, 0) },
	{ "Dark Orange", QColor(255, 140, 0) },
	{ "Orange", QColor(255, 165, 0) },
	{ "Gold", QColor(255, 215, 0) },
	{ "Yellow", QColor(255, 255, 0) },
	{ "Light Yellow", QColor(255, 255, 224) },
	{ "Lemon Chiffon", QColor(255, 250, 205) },
	{ "Light Goldenrod Yellow", QColor(250, 250, 210) },
	{ "Papayawhip", QColor(255, 239, 213) },
	{ "Moccasin", QColor(255, 228, 181) },
	{ "Peach Puff", QColor(255, 218, 185) },
	{ "Pale Goldenrod", QColor(238, 232, 170) },
	{ "Khaki", QColor(240, 230, 140) },
	{ "Dark Khaki", QColor(189, 183, 107) },
	{ "Lavender", QColor(230, 230, 250) },
	{ "Thistle", QColor(216, 191, 216) },
	{ "Plum", QColor(221, 160, 221) },
	{ "Violet", QColor(238, 130, 238) },
	{ "Orchid", QColor(218, 112, 214) },
	{ "Fuchsia", QColor(255, 0, 255) },
	{ "Magenta", QColor(255, 0, 255) },
	{ "Medium Orchid", QColor(186, 85, 211) },
	{ "Medium Purple", QColor(147, 112, 219) },
	{ "Rebecca Purple", QColor(102, 51, 153) },
	{ "Blue Violet", QColor(138, 43, 226) },
	{ "Dark Violet", QColor(148, 0, 211) },
	{ "Dark Orchid", QColor(153, 50, 204) },
	{ "Dark Magenta", QColor(139, 0, 139) },
	{ "Purple", QColor(128, 0, 128) },
	{ "Indigo", QColor(75, 0, 130) },
	{ "Slate Blue", QColor(106, 90, 205) },
	{ "Dark Slate Blue", QColor(72, 61, 139) },
	{ "Medium Slate Blue", QColor(123, 104, 238) },
	{ "Green Yellow", QColor(173, 255, 47) },
	{ "Chartreuse", QColor(127, 255, 0) },
	{ "Lawn Green", QColor(124, 252, 0) },
	{ "Lime", QColor(0, 255, 0) },
	{ "Lime Green", QColor(50, 205, 50) },
	{ "Pale Green", QColor(152, 251, 152) },
	{ "Light Green", QColor(144, 238, 144) },
	{ "Medium Spring Green", QColor(0, 250, 154) },
	{ "Spring Green", QColor(0, 255, 127) },
	{ "Medium Sea Green", QColor(60, 179, 113) },
	{ "Sea Green", QColor(46, 139, 87) },
	{ "Forest Green", QColor(34, 139, 34) },
	{ "Green", QColor(0, 128, 0) },
	{ "Dark Green", QColor(0, 100, 0) },
	{ "Yellow Green", QColor(154, 205, 50) },
	{ "Olive Drab", QColor(107, 142, 35) },
	{ "Olive", QColor(128, 128, 0) },
	{ "Dark Olive Green", QColor(85, 107, 47) },
	{ "Medium Aquamarine", QColor(102, 205, 170) },
	{ "Dark Sea Green", QColor(143, 188, 139) },
	{ "Light Sea Green", QColor(32, 178, 170) },
	{ "Dark Cyan", QColor(0, 139, 139) },
	{ "Teal", QColor(0, 128, 128) },
	{ "Aqua", QColor(0, 255, 255) },
	{ "Cyan", QColor(0, 255, 255) },
	{ "Light Cyan", QColor(224, 255, 255) },
	{ "Pale Turquoise", QColor(175, 238, 238) },
	{ "Aquamarine", QColor(127, 255, 212) },
	{ "Turquoise", QColor(64, 224, 208) },
	{ "Medium Turquoise", QColor(72, 209, 204) },
	{ "Dark Turquoise", QColor(0, 206, 209) },
	{ "Cadet Blue", QColor(95, 158, 160) },
	{ "Steel Blue", QColor(70, 130, 180) },
	{ "Light Steel Blue", QColor(176, 196, 222) },
	{ "Powder Blue", QColor(176, 224, 230) },
	{ "Light Blue", QColor(173, 216, 230) },
	{ "Sky Blue", QColor(135, 206, 235) },
	{ "Light Sky Blue", QColor(135, 206, 250) },
	{ "Deep Sky Blue", QColor(0, 191, 255) },
	{ "Dodger Blue", QColor(30, 144, 255) },
	{ "Cornflower Blue", QColor(100, 149, 237) },
	{ "Medium Slate Blue", QColor(123, 104, 238) },
	{ "Royal Blue", QColor(65, 105, 225) },
	{ "Blue", QColor(0, 0, 255) },
	{ "Medium Blue", QColor(0, 0, 205) },
	{ "Dark Blue", QColor(0, 0, 139) },
	{ "Navy", QColor(0, 0, 128) },
	{ "Midnight Blue", QColor(25, 25, 112) },
	{ "Cornsilk", QColor(255, 248, 220) },
	{ "Blanched Almond", QColor(255, 235, 205) },
	{ "Bisque", QColor(255, 228, 196) },
	{ "Navajo White", QColor(255, 222, 173) },
	{ "Wheat", QColor(245, 222, 179) },
	{ "Burlywood", QColor(222, 184, 135) },
	{ "Tan", QColor(210, 180, 140) },
	{ "Rosy Brown", QColor(188, 143, 143) },
	{ "Sandy Brown", QColor(244, 164, 96) },
	{ "Goldenrod", QColor(218, 165, 32) },
	{ "Dark Goldenrod", QColor(184, 134, 11) },
	{ "Peru", QColor(205, 133, 63) },
	{ "Chocolate", QColor(210, 105, 30) },
	{ "Saddle Brown", QColor(139, 69, 19) },
	{ "Sienna", QColor(160, 82, 45) },
	{ "Brown", QColor(165, 42, 42) },
	{ "Maroon", QColor(128, 0, 0) },
	{ "White", QColor(255, 255, 255) },
	{ "Snow", QColor(255, 250, 250) },
	{ "Honeydew", QColor(240, 255, 240) },
	{ "Mint Cream", QColor(245, 255, 250) },
	{ "azure", QColor(240, 255, 255) },
	{ "Alice Blue", QColor(240, 248, 255) },
	{ "Ghost White", QColor(248, 248, 255) },
	{ "White Smoke", QColor(245, 245, 245) },
	{ "Seashell", QColor(255, 245, 238) },
	{ "Beige", QColor(245, 245, 220) },
	{ "Old Lace", QColor(253, 245, 230) },
	{ "Floral White", QColor(255, 250, 240) },
	{ "Ivory", QColor(255, 255, 240) },
	{ "Antique White", QColor(250, 235, 215) },
	{ "Linen", QColor(250, 240, 230) },
	{ "Lavender Blush", QColor(255, 240, 245) },
	{ "Misty Rose", QColor(255, 228, 225) },
	{ "Gainsboro", QColor(220, 220, 220) },
	{ "Light Gray", QColor(211, 211, 211) },
	{ "Silver", QColor(192, 192, 192) },
	{ "Dark Gray", QColor(169, 169, 169) },
	{ "Gray", QColor(128, 128, 128) },
	{ "Dim Gray", QColor(105, 105, 105) },
	{ "Light Slate Gray", QColor(119, 136, 153) },
	{ "slate Gray", QColor(112, 128, 144) },
	{ "Dark Slate Gray", QColor(47, 79, 79) },
	{ "Black", QColor(0, 0, 0) },
};

size_t	g_numHtmlColors	= sizeof(g_htmlColors) / sizeof(ColorProperties);
